# test.pro : Self test for the TiffIO plugin.
#
# $Id: demo.pro 13 2010-06-25 16:31:07Z gascuel $
#

TEMPLATE= app
TARGET  = demo

CONFIG -= release debug console windows
CONFIG *= release qt
win32: LIBS *= $${QMAKE_LIBS_QT_ENTRY}

# Make it use the installed plugin, hence not static by default:
# CONFIG += static-plugin

!include( rules.pri )	: error( Unable to find rules.pri )

# In static-plugin mode, the TiffIO code is embebed into the app,
# making it easier to distribute. So we have to generate code
# that register the plugin at startup.
static-plugin {
    # Add TiffIO sources :
    !include( TiffIO.pri )	: error( Unable to find TiffIO.pri )

    # Beware : name changes with Qt 4.1 :
    qt4: DEFINES += QT_STATICPLUGIN=1
    qt3: DEFINES += Q_STATIC_PLUGIN=1
    
    # Beware : TiffIO_Qt3.cpp (or Qt4.cpp) should be compiled in a separate
    # directory, to avoid mix-up initialisation code of static & dynamic linking...
    OBJECTS_DIR = $${OBJECTS_DIR}Static/
}

SOURCES += demo.cpp

qt3 : FORMS += TiffIODemo.ui
qt4 {
    HEADERS += TiffIODemo4.h
    FORMS   += TiffIODemo4.ui
}
